Bug 1836801 - Disk import activity may report NaN progress
Summary: Disk import activity may report NaN progress
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Rastislav Wagner
QA Contact: Nelly Credi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 08:10 UTC by Rastislav Wagner
Modified: 2020-07-13 17:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Importer pod may report NaN value as progress Consequence: VM disk import activity shows NaN% as progress Fix: Detect when progress is NaN and do not show progress in percentage Result: VM disk import activity wont show NaN%
Clone Of:
Environment:
Last Closed: 2020-07-13 17:39:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
NaN progress (15.39 KB, image/png)
2020-05-18 08:10 UTC, Rastislav Wagner
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5476 None closed Bug 1836801: Filter Disk Import activity that does not have progress yet 2020-06-24 03:02:56 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:39:51 UTC

Description Rastislav Wagner 2020-05-18 08:10:36 UTC
Created attachment 1689543 [details]
NaN progress

Disk import DataVolume may report N/A progress. This happened when import pod was in crashloop state.

Comment 3 Radim Hrazdil 2020-05-27 12:13:38 UTC
During verification discovered tha the link to the resource that owns the DV always points to a virtualmachine kind, even when the resource may be template or VMI
Opened a new bug for that: https://bugzilla.redhat.com/show_bug.cgi?id=1840661

This issue can be moved to Verified.

Comment 4 errata-xmlrpc 2020-07-13 17:39:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.